Bug 1014550 - X server hangs forever fetching NIS passwd entry for siLocalCredCheckAddr
X server hangs forever fetching NIS passwd entry for siLocalCredCheckAddr
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 06:39 EDT by Ian Collier
Modified: 2015-02-17 12:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:27:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb traceback of the hanging X server (1.40 KB, text/plain)
2013-10-02 06:39 EDT, Ian Collier
no flags Details

  None (edit)
Description Ian Collier 2013-10-02 06:39:46 EDT
Created attachment 806373 [details]
gdb traceback of the hanging X server

I'm not sure if this is an X server bug or a glibc bug, and it's something that happens randomly and rarely so unfortunately there is not much debugging info available.  I would appreciate tips on how to collect useful info, while at the same time hoping I don't hit this bug again because it's incredibly annoying when it does hit.  I had been running Fedora 19 for only about five hours when the hang happened.  We also have a couple of users who occasionally get this hang on Fedora 17, though my previous F17 machine was never affected.

The problem manifests itself when the X server suddenly stops dead; no further interaction is possible and no further display updates occur.  Attaching strace to the running server just produces an infinite loop of "poll ... SIGALRM ... poll ...", while attaching gdb shows that it is stuck deep inside getpwnam() while processing a siLocalCredCheckAddr for the xhost entry "SI:localuser:xxx" (where xxx is the logged-in user).

The machines in question all get their passwd info from NIS (the nsswitch entry says "passwd: compat") and although the NIS subsystem works 99% of the time, we do occasionally get "do_ypcall: clnt_call: RPC: Timed out" errors logged, for reasons we can't fathom.  It's my speculation that the X server hang coincides with one of these (although there is no syslog entry to that effect).

I am guessing that this would be mitigated by using the user's decimal uid in the xhost entry instead of their login name.  I'm not sure what process adds this, but it might be worth making that the default.

xorg.conf is not attached because at least one of the machines where this happens has no xorg.conf.  Xorg.0.log is not attached because the log was overwritten when the machine was rebooted (but probably didn't say anything useful).  A gdb traceback at the hanging point is attached.
Comment 1 Fedora End Of Life 2015-01-09 15:04:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:27:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.